Package org.zkoss.zul.impl

## Class GroupsListModel.GroupDataInfo

- java.lang.Object
- - org.zkoss.zul.impl.GroupsListModel.GroupDataInfo

- All Implemented Interfaces:
    `GroupingInfo`
  Enclosing class:
    GroupsListModel<D,​G,​F>

      public static class GroupsListModel.GroupDataInfo
      extends java.lang.Object
      implements GroupingInfo

  The group information returned by `GroupsListModel.getDataInfo(int)`.

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static byte` | `ELEMENT` | Indicates the data is an element of a group.
    `static byte` | `GROUP` | Indicates the data is a group (a.k.a., the head of the group).
    `static byte` | `GROUPFOOT` | Indicates the data is a group foot.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `int` | `getGroupIndex()` | Returns the index of this group
    `int` | `getOffset()` | The offset of an element in a group.
    `int` | `getType()` | The type of the data.
    `boolean` | `isOpen()` | Whether the group is opened.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### GROUP

          public static final byte GROUP

      Indicates the data is a group (a.k.a., the head of the group).
      See Also:
        Constant Field Values

    - #### GROUPFOOT

          public static final byte GROUPFOOT

      Indicates the data is a group foot.
      See Also:
        Constant Field Values

    - #### ELEMENT

          public static final byte ELEMENT

      Indicates the data is an element of a group.
      See Also:
        Constant Field Values

  - ### Method Detail

    - #### getType

          public int getType()

      Description copied from interface: `GroupingInfo`
      The type of the data. It is one of `GroupingInfo.GROUP`, `GroupingInfo.GROUPFOOT` and `GroupingInfo.ELEMENT`.
      Specified by:
        `getType` in interface `GroupingInfo`

    - #### getGroupIndex

          public int getGroupIndex()

      Description copied from interface: `GroupingInfo`
      Returns the index of this group
      Specified by:
        `getGroupIndex` in interface `GroupingInfo`

    - #### getOffset

          public int getOffset()

      Description copied from interface: `GroupingInfo`
      The offset of an element in a group. It is meaningful only if `GroupingInfo.getType()` is `GroupingInfo.ELEMENT`.
      Specified by:
        `getOffset` in interface `GroupingInfo`

    - #### isOpen

          public boolean isOpen()

      Description copied from interface: `GroupingInfo`
      Whether the group is opened. It is meaningful only if `GroupingInfo.getType()` is `GroupingInfo.GROUP`.
      Specified by:
        `isOpen` in interface `GroupingInfo`